## Video Anomaly Detection via Semantic Attributes
Implementation of "Video Anomaly Detection via Semantic Attributes".

## 2. Usage
### 2.1 Data download and Preparation
To download the evaluation datasets, please follow the [instructions](./data/README.md).

### 2.2 Data preparation
The training and testing datasets should be preprocessed according to the these [instructions](./pre_processing/README.md).

### 2.3 Feature Extraction
For extracting attribute-based and deep representations, run the following command:

```
python feature_extraction.py [--dataset_name]
```

### 2.4 Score calibration
To compute calibration parameters for each representation, run the following command:
```
python score_calibration.py [--dataset_name]
```
### 2.4 Evaluation
Finally, you can evaluate by running the following command:
```
python evaluate.py [--dataset_name]
```

## 3. Results

|     Model      | UCSD Ped2 | CUHK Avenue | ShanghaiTech |
| :------------: |:---------:|:-----------:|:------------:|
|    AI-VAD     |   99.1%   |    93.6%    |    85.9%     |
